from home_txt import beginnings, ending
from pres_util import *
from util import *
import config

def gen():
    prgm = get_current_program()
    pname = prgm.name
    preloadfileid  = "preload.html"
    preloadfileStr = config.result_file(preloadfileid)
    preloadout = open(preloadfileStr, "w")
    preloadout.write('<html></html>')
    preloadout.close()
    homefileid  = "home.html"
    homefileStr = config.result_file(homefileid)
    homeout = open(homefileStr, "w")
    print "Writing to " + homefileStr
    gen_text_for_home(homeout)
    homeout.close()
    mainfileid  = "main.html"
    mainfileStr = config.result_file(mainfileid)
    mainout = open(mainfileStr, "w")
    print "Writing to " + mainfileStr
    top_of_file(mainout, "Policy Generation Support for " + capitalize_it(pname))
    gen_text_for_main(mainout)
    mainout.close()

hyperlinks = {'Applications': 'Applications', \
              'Security Context': 'Security-Context', \
              'Pattern Instances': 'Pattern-Instances', \
              'Manual Action Required': 'ToDo', \
              'Resources': 'PolicyHelp'}

hyperdescriptions = {'Applications': 'Information organized by application; including spawned processes, execs that failed', \
                     'Security Context': 'Information organized by security context including resources associated with each context; some contexts generated in pattern recovery phase',\
                     'Pattern Instances': 'Instances of patterns found in the Polgen trace output', \
                     'Resources': 'Listing of all resources found in the trace', \
                     'Manual Action Required': 'Items that the policy writer should look at before generating .te files'
                           }

def gen_text_for_home(strm):
    strm.write(beginnings + " \n") # might be problem with \n's embedded in text
    for item in hyperlinks.keys():
        gen_text_for_home_aux(strm, item)
    strm.write(ending)

def gen_text_for_home_aux(strm, item):
    add_tree_link(strm, 'root', item, hyperlinks[item])

def add_tree_link(strm, parentStr, displayStr, pageIdStr):
    append = ""
    strm.write("     treeData.add(new LinkNode('" + parentStr + "','" + \
               displayStr + "','" + pageIdStr \
               + ".html','','')); \n")

def gen_text_for_main(strm):
    for item in hyperlinks.keys():
        strm.write('<h5><a href = '+ hyperlinks[item] + ".html>" + item + '</a></h5> \n')
        strm.write(hyperdescriptions[item] + '<br> \n')
