from util import *
import config
import sys
import gen
from pres_util import *
import recog_domain
import patterns
import specs

#################### Recognition Results ####################


def gen_recog_results_browser ():
    """ creates web-page showing all pattern instances"""
    prgm = get_current_program()
    fileid  = "Pattern-Instances.html"
    fileStr = config.result_file(fileid)
    out = open(fileStr, "w")
    print "Writing to " + fileStr
    top_of_file(out, "Pattern Instances for " + capitalize_it(prgm.name))
    out.write("</font><a name = top>")
    create_pattern_type_list(out)
    for patStr in patterns.PATTERN_TYPES: #  or we could go with [x for x in defs.PATTERN_TYPES if eval('defs.' + x).verified == 1]:
        found = the_pattern_instances(patStr)         
        if len(found) > 0:
            out.write("<hr><table><tr><td width = 70%>")
            card_char = "s"
            if len(found) == 1:
                card_char = ""
            out.write("<a name =" + patStr + "> " \
                  + "<h1><font color = 008000>" + patStr + "</font></h1><font size = 3>( " + str(len(found)) + " Instance" + card_char + \
                      " Found )</font>")
            #out.write("<br><a href = Pattern-Diagrams.html#" + patStr + \
            #         " target = new>pattern information</a><br> \n")
     
            out.write("<br> <a href = #top> Return to top </a><br> \n")  
            recogs = [r for r in specs.SPECIFIERS if r.pattern.name ==  patStr]
            for recog in recogs:
                key = recog.__name__
                if not empty(PRGM.pattern_instances[key]):
                    spec2html(out, recog)
            out.write('''</td>
                         <td><img src = "images/%s.gif"
                                  width="433" height="276">
                         </td></tr></table>''' % patStr.lower()) 
    out.close()
  
def spec2html (out, recog):
    """ out = stream; key = name of recognizer; fileid = prgm-version.html 
    creates html table for pattern instances """
    key = recog.__name__
    instances = PRGM.pattern_instances[key]
    out.write("\n<hr><a name = " + key + "> \n" + \
              "<h3>" + key + "</h3>")
    out.write("For pattern " + recog.pattern.name + "\n")
    out.write("<br>Detection level = " + recog.detection + "\n")

    for inst in instances:
       show_instance(out, inst)
    if len(instances) > 0:
	out.write("\n</blockquote>")

def show_instance(out, inst):
    out.write("<br>")
    show_instance_helper(out, inst, 0, 0)

def show_instance_helper(out, accum, level, bqClose):
    if accum == None:
        out.write("<br> Found None")
    if accum.__class__.__name__ == "Aggr":
        for e in accum.elements:
            out.write(obj2href(e.focus) + "<br> \n")
        return
    role = accum.pattern_role
    if role == 'obj':
        role = accum.recognizer.focus_name
    nbr_str = "%d)" % accum.nbr
    color = '500000'
    if level == 0:
        color = '800080'
        if accum.nbr > 1:
            out.write("\n</blockquote>")
        out.write(nbr_str + " \n")
    out.write(obj2href(accum.focus)\
              + " : <font color = " + color + ">" + role + "</font>")
    if (bqClose > 0):
        out.write("\n</blockquote>")
    collabs = accum.with
    if not empty(collabs):
         if level == 0:
            out.write("\n<blockquote>")
         for coll in collabs.keys():
            out.write("With " + coll + ":\n<blockquote>")
            for c in collabs[coll]:
                show_instance_helper(out, c, level + 2, 1)
            out.write("\n</blockquote>")



def create_pattern_type_list (strm):
    patterns.PATTERN_TYPES.sort()
    strm.write('<center><table><tr>')
    count = 0
    for p in patterns.PATTERN_TYPES:
        nbr = len(the_pattern_instances(p))
        count = count + 1
        if count == 4:
            count = 0
            strm.write('</tr>')
        ref_char = ""
        if nbr == 0:
            ref_char = "!"
        strm.write("<td><" + ref_char + "a href = #" + p + "><font size =1>" + \
                             p + " ( " + str(nbr) \
                             + " )</font></a></td> \n")
    strm.write('</tr></table></center>')



def gen_spec_ptrs ():
    for item in specs.SPECIFIERS:
        ref = item.__name__
        str = ref[5:]
        sys.stdout.write("<a href =#" + ref + "> - " + str + " - </a>")
        

def gen_security_context_report():
    prgm = get_current_program()
    fileid  = "Security-Context.html"
    fileStr = config.result_file(fileid)
    out = open(fileStr, "w")
    print "Writing to " + fileStr
    top_of_file(out, "Security Context for " + capitalize_it(prgm.name))
    out.write("Go to <a href=Pattern-Instances.html> Pattern Instances </a> \n") 
    out.write("<br>Go to <a href=PolicyHelp.html> Resources </a> \n")    
    contexts = seq2set([x.security_context for x in resources_dict.values()])
    for c in contexts:
        if c not in [None, 'DEFAULT']:
            out.write("<a name = " + str(c) + "><h3><font color = ff00ff>" + str(c) + "</font></h3> \n")
            for r in resources_dict.values():
                if r.security_context == c:
                    out.write("<br><a href=PolicyHelp.html#" + r.name + ">" \
                              + r.name \
                              + "</a> \n")
