#! /usr/bin/env python

# Copyright 2004, The MITRE Corporation

copyright = "Copyright  2004, The MITRE Corporation"

### defaults and advanced settings


import sys, os, os.path

import config

def usage(errString="", usageString=""):
   if errString:
       print "%s: %s" % (sys.argv[0], errString)
       usageString = "usage: "
   print "%s%s -n <program-name> -d <tracked-data> -o <results-data> [-h] [-r]" \
         % (usageString, sys.argv[0])
   print "\t-h\thelp"
   print "\t-r\tregenerate pattern recognizers - extending spar - for expert users"

global image_dir
def print_prgm_help():
    print "SYNOPSIS"
    usage()

def read_prgm_args():
    global create_finders
    global prgm_name
    global output_dir
    global data_dir
    global image_dir
    setting_data_dir = 0
    setting_prgm_name = 0
    setting_output_dir = 0
    setting_image_dir = 0
    arg_len = len(sys.argv)
    for arg in sys.argv[1:arg_len]:
        if setting_image_dir:
            image_dir = arg
            setting_image_dir =0
        elif setting_data_dir:
            data_dir = arg
            setting_data_dir = 0
        elif setting_prgm_name:
            prgm_name = arg
            setting_prgm_name = 0
        elif setting_output_dir:
            output_dir = arg
            setting_output_dir = 0
        elif arg == '-r':
            create_finders = 1
        elif arg == '-h':
            print_prgm_help()
            sys.exit()
        elif arg == '-d':
            setting_data_dir = 1
        elif arg == '-i':
            setting_image_dir = 1
        elif arg == '-n':
            setting_prgm_name = 1
        elif arg == '-o':
            setting_output_dir = 1
        else:
            usage("invalid option -- " + arg)
            sys.exit()

# set defaults
create_finders = 0
prgm_name = 0
if config.data_directory == "unknown":
    cwd = os.getcwd()
    data_dir = cwd
else:
    data_dir = config.data_directory

output_dir = data_dir + '/' +  "results"
image_dir = config.prgmPath + '/' + 'images'
read_prgm_args()

print "images at " + image_dir
config.image_directory = image_dir
config.results_directory = output_dir
if not os.path.exists(output_dir):
        os.mkdir(output_dir)

    
config.data_directory = data_dir
if not prgm_name:
   prgm_name = os.path.basename(data_dir) or os.path.basename(cwd)





# insert sub-directory list if any
subdir_list = ['finders']
config.sys_path_append(subdir_list)


#### from here insert imports and all actions to be performed 
#######################################################
#######################################################

import util
import domain_model
import patterns
import specs
import gen
import extract


print("Reading Data")
extract.visit_files(prgm_name, "")

import pat2cls
for x in util.process_ids():
    util.resources_dict[x].compute_out_processes()
    
the_program = util.get_current_program()

print "create_finders is " +  str(create_finders)
if create_finders:
    if not os.path.exists(config.finder_directory):
        os.mkdir(config.finder_directory)
    print "Regenerating recognizers"
    if not (gen.build_all()):
       print "Could not regenerate recognizers ... exiting."
       sys.exit()

print "Looking for Patterns"
print " "
for item in specs.SPECIFIERS:
    #mod = __import__(item.__name__)
    #reload(mod)
    print item.__name__
    pat2cls.recover(item.__name__)
    #mod.finder()



import presentations

presentations.do_reports()

import xmlOutput
xml_file_name = prgm_name + '.xml'
xml_out_file = os.path.join(config.results_directory, xml_file_name)
xmlOutput.writeFile(xml_out_file)

###############################################################
###############################################################
print "Input directory is %s" % config.data_directory
print "Results directory is %s" % config.results_directory

print "\nAnalysis completed."
