from util import *
from operator import *
import specs
import patterns
from pconf import conf_mappings
from gen import get_collabs, builder

            
def rebuild (specStr, do_create_finder = 1, do_propagate_to_classes = 1):
    """ Generates a new version of the spec's finder and reloads the module"""
    specObj = eval("specs." + specStr)
    #print specObj
    for pre in specObj.prerequisites:
        #print pre.__name__ + " prerequisite"
        for recogname in [x.__name__ for x in specs.SPECIFIERS if x.pattern == pre]:
            print "    Checking " + recogname
            if recogname not in get_current_program().pattern_instances.keys():
                rebuild(recogname, 0, 0)
    if do_create_finder:
        builder(specObj)
    mod = __import__(specStr)
    reload(mod)
    found = mod.finder()
    return found

def recover (str):
    return rebuild(str, 0)

def adjust_contexts ():
    """ Determining Best Assignment for security context of non-process resources"""
##    print "Adjusting contexts"
##    print PRGM
    res = resources_dict.values()
    for r in res:
        if r.__class__.__name__ != "Process":
            #r is not a process
            status = r.context_assignment_status
            if status != "none":
                connections_dict = {'out': flatten([t.meanings for t in r.out_edges]), \
                           'in' : flatten([t.meanings for t in r.in_edges])}
                context = r.security_context            
                if len(connections_dict.values()) > 0:
                    #may need to change security_context
                    #print "Adjusting context for " + r.name
                    new_context = get_context_from_meanings(connections_dict)
                    if new_context != None:
                        PRGM.new_contexts.append([r, new_context])
                        if status == "default":
                            r.context_assignment_status = "new"
                            r.security_context = new_context
 
                        elif status in ["external", "new", "problematic"]:
                            r.context_assignment_status = "problematic"
                            r.original_context = r.security_context
                            r.security_context = new_context
        if 1:
            sc = r.security_context
            if sc in ['???', 'tbd']:
                #print r
                possible = []
                for item in conf_mappings:
                    #print item
                    if r.name.find(item[0]) != -1: # contains proc
                        if r.name.find(item[1]) != -1:
                            possible.append(item)
                    if len(possible) != 0:
                        max = 0
                        ans = ""
                        for p in possible:
                            if len(p[1]) > max:
                                max = len(p[1])
                                ans = p[2]
                        r.security_context = ans
                        r.context_assignment_status = "new"
                        r.original_context = ans
                
                
             
            
def merge_contexts (string1, string2):
    if string2 == "":
        return string1
    return  string1 + "-&-" + string2

##def get_context_from_meanings (meanings_dict):
##    """meanings_dict is a dictionary with directionality keys all wrt a holder"""
##    toreturn = None
##    #Three cases resource->process
##    #           process->resource
##    #           process->resource_>process
##    #Are there matching pairs?
##    ans = [] # a sequence of strings
##    for item1 in meanings_dict['out']:
##        pat = item1.pattern
##        if pat_asserts_types(pat):
##            ty = item1.range_type
##            done = 0
##            for item2 in meanings_dict['in']:
##                item2.used = 0
##                pat2 = item2.pattern
##                #print item2.domain
##                ty2 = item2.domain_type
##                if pat == pat2 and ty == ty2:
##                    #these go together
##                    ans.append(pat + ":" + item1.domain.security_context + "-2-" + \
##                               item2.range.security_context)
##                    done = 1
##                    item2.used = 1
##                    break
##            if not done:
##                #pattern with resource writing only
##                sc = item1.domain.security_context
##                if sc == None:
##                    ans.append(pat+ ":" + "?-2-" + ty + "_t")
##                else:
##                    ans.append(pat+ ":" + sc \
##                           + "-2-" + ty + "_t")
##    #now need to do out links that are not covered
##    for item2 in meanings_dict['in']:
##        if item2.used == 0:
##            #hasn't been used
##            sc = item2.range.security_context
##            if pat_asserts_types(item2.pattern):
##                if sc == None:
##                    ans.append(item2.pattern + ":" + item2.domain_type + "-2-?")
##                else:
##                    ans.append(item2.pattern + ":" + item2.domain_type + \
##                           "-2-" + sc)
##    #remove duplicates
##    if len(ans) == 0:
##        return toreturn
##    seen = []
##    final = "%%"
##    for str in ans:
##        if str not in seen:
##            seen.append(str)
##            final = final + str + '-&-'
##    return final[0:-3]

def get_context_from_meanings (meanings_dict):
    """meanings_dict is a dictionary with directionality keys all wrt a holder"""
    toreturn = None
    #Three cases resource->process
    #           process->resource
    #           process->resource_>process
    #Are there matching pairs?
    ans = [] # a sequence of strings
    for item1 in meanings_dict['out']:
        pat = item1.pattern
        if patterns.pattern_asserts_types(pat):
            ty = item1.range_type
            done = 0
            for item2 in meanings_dict['in']:
                item2.used = 0
                pat2 = item2.pattern
                #print item2.domain
                ty2 = item2.domain_type
                if pat == pat2 and ty == ty2:
                    #these go together
                    ans.append(pat)
                    done = 1
                    item2.used = 1
                    break
            if not done:
                #pattern with resource writing only
                ans.append(pat)
    #now need to do out links that are not covered
    for item2 in meanings_dict['in']:
        if item2.used == 0:
            #hasn't been used
            if patterns.pattern_asserts_types(item2.pattern):
                ans.append(item2.pattern)
    #remove duplicates
    if len(ans) == 0:
        return toreturn
    seen = []
    final =  PRGM.name.lower() + "_"
    nbr = PRGM.gen_nbr
    PRGM.gen_nbr = nbr + 1
    for x in ans:
        if x not in seen:
            seen.append(x)
            final = final + x + '_'
    return final[0:-1] + str(nbr) + '_t'




                        
