import os
import os.path
resources_dict = {}

actions = {}
applications = []
trans = {} # dictionary of dictionaries parameterized by domain then range
normalized_trans = {} # dictionary parameterized by context-context-action]
global PRGM 
PRGM = None


def ensure_directory_exists(dir_path):
    """ /** If a directory does not exists it will be created
         *
         *   @param strPath - a string representing a path
         *
         *   @return true if the directory was correctlly established
         */
    """
    if not os.path.exists(dir_path):
        try:
            os.makedirs(dir_path)
        except:
            print "cannot create directory"
            return 0
    if not os.path.isdir(dir_path):
        return 0
    return 1

class Program:
    def __init__(self, name):
        global PRGM
        self.name = name
        self.gen_nbr = 1
        self.new_contexts = []
        self.pattern_instances = {}
        PRGM = self
        
def get_current_program():
    return PRGM
    
def get_prgm_classes ():
    return [resources_dict[x] for x in process_ids()]

###### Utilities ###################
    
def process_ids ():
    return [x for x in resources_dict.keys() if \
            resources_dict[x].__class__.__name__ == 'Process']

def strip_commas (lst):
    str = "{"
    for item in lst:
        str = str + item + " "
    str = str + "}"
    return str

def cross_product (set):
    toreturn = []
    for x in set:
        for y in set:
            toreturn.append([x, y])
    return toreturn

def intersect (A, B):
    return [x for x in A if x in B]

def dashes (intNbr):
    """ /** create a string with intNbr of '-'
         *
         *  @author -
         *
         *  @param intNbr - the number of '-' that will appear in the string
         *
         *  @return the created string
         */ 
    """
    ans = ""
    count = 0
    while count < intNbr:
        count = count + 1
        ans = ans + "-"
    return ans

def spaces (intNbr):
    """ /** Creates string with (4 x intNbr) spaces.
         *
         *  @author 
         *
         *  @param intNbr- integer representing 1/4 the number of spaces needed
         *
         *  @return resulting string
         */ 
    """
    if intNbr <= 0:
        return ""
    else:
        ans = ""
        count = 0
        while count < intNbr:
            ans = ans + "    "
            count = count + 1
        return ans
    
def empty (lst):
    """ /** Determine if the collection is empty or not
         *
         *  @author - DRH
         *  @author AA
         *
         *  @modified AA - 07/23/01 19:35
         *
         *  @param lst - any collection
         *
         *  @return 1 if the collection is not empty, otherwise 0
         */  
    """
    if len(lst) == 0:
        return 1
    else:
        return 0

def isES (lst):
    """ /** determines if list is the empty set
         *
         *  @author - DRH
         *
         *  @param lst - collection being tested
         *
         *  @return boolean
         */ 
    """
    return empty(lst)

def Exists (lst):
    """ /** determines if list contains items
         *
         *  @author - DRH
         *
         *  @param lst - collection being tested
         *
         *  @return boolean
         */ 
    """
    return not isES(lst)

def setdiff (A, B):
    return [a for a in A if a not in B]

def dict_put (dic, key, value): # was dictPut (dic, key, value):
    """ /** puts values in a dictionary for a specified key.  If a value
         * already exists for that key, it appends value.
         *
         *  @author
         *
         *  @param dic - dictionary type 
         *  @param key - key of the dictionary
         *  @param value - value associated with the key
         *
         *  @return void
         */ 
    """    
    if dic.has_key(key):
        dic[key].append(value)
    else:
        dic[key] = [value]

def context2type (context):
    return context.split(':')[-1]
    
def flatten (nested_list):
    toreturn = []
    for x in nested_list:
        toreturn = toreturn + x
    return toreturn

def obj_name_contains_one_of(obj, strlst):
    if obj == None:
        return 0
    else:
        its_name = obj.name
        for l in strlst:
            if its_name.find(l) != -1:
                return 1
        return 0

def seq2set (lst):
    seen = []
    for item in lst:
        if item not in seen:
            seen.append(item)
    return seen
